import { EventBus, PDFViewer } from 'pdfjs-dist/web/pdf_viewer.mjs';
import { TextAnnotator } from '@recogito/text-annotator';

export declare const createAPI: <E extends unknown>(anno: TextAnnotator<E>, viewer: PDFViewer, eventBus: EventBus) => {
    scrollIntoView: (annotation: import('src').PDFAnnotation) => void;
    setScale: (size: number | import('src').PDFScale) => number;
    zoomIn: (percentage?: number) => number;
    zoomOut: (percentage?: number) => number;
};
